(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../ValueWithRandom", "./SizeAnimation"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Size = void 0;
    const ValueWithRandom_1 = require("../../ValueWithRandom");
    const SizeAnimation_1 = require("./SizeAnimation");
    class Size extends ValueWithRandom_1.RangedAnimationValueWithRandom {
        constructor() {
            super();
            this.animation = new SizeAnimation_1.SizeAnimation();
            this.random.minimumValue = 1;
            this.value = 3;
        }
        get anim() {
            return this.animation;
        }
        set anim(value) {
            this.animation = value;
        }
    }
    exports.Size = Size;
});
